Skip to main content
GET
/
credit-notes
List credit notes
const options = {method: 'GET'};

fetch('https://api.dolfinai.co/credit-notes', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": [
    {
      "currency": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "invoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "documentNumber": "<string>",
      "amount": 123,
      "netAmount": 123,
      "taxAmount": 123,
      "taxRateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "taxRateSnapshot": {
        "code": "<string>",
        "name": "<string>",
        "source": "<string>",
        "rate": 123,
        "sourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "snapshottedAt": "2023-11-07T05:31:56Z"
      },
      "invoiceLineItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "reason": "<string>",
      "issuedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "meta": {
    "cursors": {
      "current": "<string>",
      "next": "<string>",
      "previous": "<string>"
    }
  }
}

Query Parameters

Cursor
string
Limit
default:20
CustomerId
string<uuid>
InvoiceId
string<uuid>

Response

OK

data
object[]
meta
object